Skip to main content
POST
/
seller
/
listings
/
search
Search your listings
curl --request POST \
  --url https://api.managem.co.uk/seller/listings/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "filters": [
    {}
  ],
  "facets": {
    "Game": [
      "<string>"
    ],
    "Product Type": [
      "<string>"
    ],
    "Rarity": [
      "<string>"
    ],
    "Series": [
      "<string>"
    ],
    "Set": [
      "<string>"
    ],
    "Illustrator": [
      "<string>"
    ],
    "Condition": [
      "<string>"
    ],
    "Grading": [
      "Graded"
    ],
    "Price": [
      "Under £1"
    ],
    "Quantity": [
      "1"
    ],
    "Valid": [
      "Valid"
    ],
    "Hidden": [
      "Hidden"
    ],
    "Availability": [
      "In Stock"
    ],
    "Category": [
      "<string>"
    ]
  },
  "from": 0,
  "size": 25,
  "sorting": {
    "field": "name",
    "order": "asc"
  }
}
'
{
  "total": 123,
  "hits": [
    {
      "id": "<string>",
      "sellerId": "<string>",
      "condition": "<string>",
      "price": 123,
      "language": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "item": {
        "urn": "<string>",
        "type": "card",
        "game": "Pokemon",
        "title": "<string>",
        "name": "<string>",
        "rarity": "<string>",
        "set": {
          "name": "<string>",
          "urn": "<string>",
          "counts": {
            "printed": 123,
            "total": 123
          },
          "references": [
            "<string>"
          ],
          "size": 123,
          "symbol": {
            "url": "<string>"
          },
          "released": "<string>"
        },
        "series": {
          "name": "<string>",
          "urn": "<string>"
        },
        "images": [
          {
            "urn": "<string>",
            "orientation": "portrait",
            "url": "<string>",
            "illustrator": "<string>"
          }
        ],
        "alternatives": [
          "<string>"
        ],
        "metadata": [
          {
            "name": "<string>",
            "value": "<string>",
            "detail": [
              "<unknown>"
            ]
          }
        ],
        "number": "<string>",
        "description": "<string>",
        "price": 123,
        "available": 0,
        "quantity": 0,
        "min": {
          "price": 123
        },
        "max": {
          "price": 123
        }
      },
      "seller": {
        "id": "<string>",
        "username": "<string>",
        "reviews": 123,
        "rating": 123,
        "score": 123,
        "sales": 123,
        "purchases": 123,
        "joined": "2023-11-07T05:31:56Z",
        "avatar": "<string>",
        "cover": "<string>",
        "profile": "<string>"
      },
      "locked": true,
      "valid": true,
      "hidden": true,
      "quantity": 1,
      "available": 0,
      "variants": [],
      "comment": "<string>",
      "gradingProvider": "<string>",
      "gradingScore": "<string>",
      "gradingNumber": "<string>",
      "attachments": [],
      "notes": "<string>"
    }
  ],
  "facets": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

A search query includes a free text query property, refinements in the form of facets, pagination controls and optional sorting.

query
string

One or more free text search terms

filters
object[]
facets
object

Facets to refine the search results. Values are case-sensitive unless noted otherwise.

from
number | null
default:0

Offset for pagination

size
number
default:25

Number of results to return

Required range: 1 <= x <= 50
sorting
object

Sort results by field and order

Response

Seller listings

Result of a listings search query

total
number
required

Total number of results

hits
object[]
required

List of listings

facets
object
required

Facets that can be applied to further refine the search results